ZZIPLIB-BIN(1)

NAME
zzcat, zzdir, zzxorcat, zzxordir zzxorcopy - small tools using zziplib

SYNOPSIS
zzcat FILE [...] zzdir DIR [...] zzxorcat [-HEX] FILE [...] zzxordir [-HEX] DIR [...] zzxorcopy [-HEX] FILE OUTFILE

DESCRIPTION

zzcat prints the given files to stdout, so you may want to redirect the output. The FILE can be a normal file or an inflated part of a zip archive (see OPTIONS).

zzdir prints the content table to stdout of the given DIR or zipfile.

zzxorcat prints the given files to stdout, so you may want to redirect the output. The FILE is an inflated part of a zip archive obfusctated with a xor value optionally given by the HEX option.

zzxordir prints the content table to stdout of the given DIR or zipfile. The DIR can br an inflated part of a zip archive obfusctated with a xor value optionally given by the HEX option.

zzxorcopy copies data from FILE to OUTFILE adding simple obfuscation by xor-ing each byte with the HEX value given. Remember that copying data twice with the same xor-value will result in the original file data.

OPTIONS
zziplib-bin tools accept the following options:

FILE
    Input filename for reading or part (if supported by tool). Part is written as zipname/filename, e.g.: for accessing README inside of data.zip you'll specify data/README.

DIR Disk directory, zipfile or inflated part of a zipfile.

-HEX
    Hex number for xor-ing the zipfile contents. If not supplied all tools that use it take 0x55 as default value for xor-ing. OUTFILE Output file name for zzxorcopy.

AUTHORS
zziplib was written by Guido Draheim <guidod@gmx.de>.

This manual page was written by Ricardo Mones <mones@aic.uniovi.es>, for the Debian GNU/Linux system (but may be used by others).